Loading...
Searching...
No Matches
ranges::views::tokenize_fn Struct Reference
Inheritance diagram for ranges::views::tokenize_fn:

## Public Member Functions

template<typename Regex >
constexpr auto | operator() (Regex &&rex, int sub=0, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Regex >
constexpr auto | operator() (Regex &&rex, std::initializer_list< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Regex >
auto | operator() (Regex &&rex, std::vector< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
Public Member Functions inherited from ranges::views::tokenize_base_fn
template<typename Rng , typename Regex > requires bidirectional_range<Rng> && common_range<Rng> && same_as< // range_value_t<Rng>, // typename detail::decay_t<Regex>::value_type>
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, int > | operator() (Rng &&rng, Regex &&rex, int sub=0, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Rng , typename Regex > requires bidirectional_range<Rng> && common_range<Rng> && same_as<range_value_t<Rng>, typename detail::decay_t<Regex>::value_type>
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::initializer_list< int > > | operator() (Rng &&rng, Regex &&rex, std::initializer_list< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Rng , typename Regex > requires bidirectional_range<Rng> && common_range<Rng> && same_as<range_value_t<Rng>, typename detail::decay_t<Regex>::value_type>
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::vector< int > > | operator() (Rng &&rng, Regex &&rex, std::vector< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const

## Related Symbols

(Note that these are not member symbols.)
constexpr tokenize_fn | tokenize {}